Page MenuHomePhabricator

QA new bucketing patch
Closed, ResolvedPublic

Description

This task is about making sure the new approach to bucketing contributors (T236337) is working as we expect it to.

Done

  • 1. Contributors are being assigned to test buckets correctly

Event Timeline

ppelberg reassigned this task from ppelberg to Mayakp.wiki.Oct 28 2019, 1:59 PM
ppelberg added a project: Product-Analytics.
LGoto triaged this task as Medium priority.Oct 28 2019, 4:38 PM
LGoto edited projects, added Product-Analytics (Kanban); removed Product-Analytics.

I can answer as well – I don't think it will be necessary to re-check those. We should only re-check that the buckets are balanced 50-50.

Considering the above, I am removing the "⚠️ This list being complete depends on the question asked in T235104 being answered." disclaimer from the task description.

ppelberg updated the task description. (Show Details)Oct 28 2019, 8:35 PM

Quick update: this patch should be ready for QA this Thursday, 31-October.

By this time, T236337 will be deployed and so too will the config change [1] needed to turn the A/B test back on.

See T236337#5613244 for additional context.

cc @Mayakp.wiki


  1. https://gerrit.wikimedia.org/r/546724

Quick update: this patch should be ready for QA this Thursday, 31-October.

Correction: this patch will be ready for testing tomorrow, 1-Nov.

Reason: this patch will be merged during this afternoon's 4pm-5pm PST SWAT window.

Thanks @ppelberg for the update.

Mayakp.wiki added a comment.EditedNov 16 2019, 1:23 AM

Checked that the buckets are Balancing correctly - overall as well by Browser and Country. Updated values provided in this document Refer Tab : T236338.
Will add notebook to Github as well.

Mayakp.wiki closed this task as Resolved.Nov 16 2019, 1:24 AM
Mayakp.wiki moved this task from Next 2 weeks to Doing on the Product-Analytics (Kanban) board.

Checked that the buckets are Balancing correctly - overall as well by Browser and Country. Updated values provided in this document Refer Tab : T236338.
Will add notebook to Github as well.

This looks great – thank you, Maya.

ppelberg updated the task description. (Show Details)Nov 19 2019, 2:03 AM